.podcast {
    position: relative;
    &__list {
        display: flex;
        flex-wrap: wrap;
    }
    &__content {
        &-item {
            color: #040303;
        }
        &-action {
            img {
                margin-right: 8px;
            }
        }
    }
    &__item {
        width: 23%;
        overflow: hidden;
        @include breakpoint(desktop) {
            margin-right: 8px;
        }
        @include breakpoint(mobile) {
            margin-bottom: 1rem;
        }
        &-cover {
            position: relative;
            border-radius: 5px;
            overflow: hidden;
            @include breakpoint (desktop){
                width: 250px;
                height: 250px;
            }
            @include breakpoint(mobile) {
                width: 150px;
                height: 150px;
            }
            img {
                @include breakpoint (desktop){
                    width: 250px;
                    height: 250px;
                    object-fit: cover;
                }
                @include breakpoint(mobile) {
                    width: 150px;
                    height: 150px;
                    object-fit: cover;
                }
            }
        }

        &-desc {
            padding: 10px 0;
            p {
                margin: 0;
                font-size: 18px;
                overflow: hidden;
                text-overflow: ellipsis;
                -webkit-line-clamp: 2;
                display: -webkit-box;
                -webkit-box-orient: vertical;
                white-space: normal;
                @include breakpoint(mobile) {
                    font-size: 14px;
                }

                @include breakpoint(small-mobile) {
                    font-size: 12px;
                    /*
                    For elipsis
                */
                    overflow: hidden;
                    text-overflow: ellipsis;
                    -webkit-line-clamp: 2;
                    display: -webkit-box;
                    -webkit-box-orient: vertical;
                    white-space: normal;
                }
            }

            @include breakpoint(small-mobile) {
                padding: 5px 0;
            }
        }

        @include breakpoint(mobile) {
            flex-basis: 47%;
        }
    }

    a.podcast__item {
        color: inherit;
        &:hover {
            text-decoration: none;
        }
    }
    &-preloader {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        display: none;
        align-items: center;
        justify-content: center;
        background-color: hsla(0, 0%, 100%, 0.8);
        z-index: 2;
        text-align: center;
    }

    .pagination-container {
        margin-bottom: 6rem;
    }
}

.podcast {
    .pimcore_area_card-with-banner-small {
        @include breakpoint(desktop) {
            display: none;
        }
    }
}
